CREATE DATABASE  IF NOT EXISTS `monitoring`;
USE `monitoring`;

DROP TABLE IF EXISTS `module`;
CREATE TABLE `module` (
  `idmodule` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL,
  `module` varchar(150) NOT NULL,
  `module_version` varchar(100) NOT NULL,
  `server` varchar(100) NOT NULL,
  PRIMARY KEY (`idmodule`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `tracker`;
CREATE TABLE `tracker` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `date` bigint(20) DEFAULT NULL,
  `transaction_id` varchar(45) DEFAULT NULL,
  `parent_phase_id` text,
  `phase_id` text,
  `user` varchar(45) DEFAULT NULL,
  `module_id` bigint(11) unsigned NOT NULL,
  `layer_type` varchar(45) DEFAULT NULL,
  `class` text,
  `method` text,
  `time_in_millis` bigint(11) DEFAULT NULL,
  `status` varchar(15) DEFAULT NULL,
  `exception_type` text,
  `exception_message` text,
  `request_message` text,
  PRIMARY KEY (`id`),
  KEY `transaction_id` (`transaction_id`),
  KEY `date` (`date`),
  KEY `status` (`status`),
  KEY `module_id` (`module_id`),
  KEY `layer_type` (`layer_type`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

